sink(file="/tmp/none")
sink("/dev/null")
options(warn=-1)
options(echo=F) 

#invisible("EBSeq")
suppressMessages(library("EBSeq"))

args <- commandArgs(trailingOnly = T)
inputfile <- args[1]
Idx <- args[2]
outputfile <- args[3]

print(args)

ReadIn=read.table(inputfile,stringsAsFactors=F,header=T, sep="\t")

IndexIn=strsplit(Idx,split=",")[[1]]
Index=as.numeric(IndexIn)

Mat=data.matrix(ReadIn)

Out=Mat[Index,]


write.table(Out,file=outputfile,quote=F,col.names=T,row.names=T,sep = "\t")

